//
// Created by #Suyghur, on 2021/06/21.
//

#ifndef EYUANCOMMSDK_KTX_PARAMS_KIT_H
#define EYUANCOMMSDK_KTX_PARAMS_KIT_H


#include <string>
#include <jni.h>


#ifdef __cplusplus
extern "C" {
#endif

#define CONFIG_FILE "yyxx_comm.properties"
#define YYXX_COMM_GCP_CODE "YYXX_COMM_GCP_CODE"
#define YYXX_COMM_GAME_CODE "YYXX_COMM_GAME_CODE"
#define YYXX_CHANNEL_ID "YYXX_CHANNEL_ID"
#define YYXX_OWN_DEBUG "YYXX_OWN_DEBUG"


class ParamsKit {
public:
    static std::string GetCommGcpCode(JNIEnv *env, jobject context);

    static std::string GetCommGameCode(JNIEnv *env, jobject context);

    static std::string GetChannelId(JNIEnv *env, jobject context);

    static std::string GetChannelName(JNIEnv *env, const std::string &id);

    static bool GetDebugModel(JNIEnv *env, jobject context);

private:
    static std::string GetValue4Properties(JNIEnv *env, jobject context, const std::string &key);

};

#ifdef __cplusplus
}
#endif

#endif //EYUANCOMMSDK_KTX_PARAMS_KIT_H
